Loading...
Searching...
No Matches
log4shib::TimeStampComponent Struct Reference
Inheritance diagram for log4shib::TimeStampComponent:
[legend]
Collaboration diagram for log4shib::TimeStampComponent:
[legend]

## Public Member Functions

| TimeStampComponent (std::string timeFormat)
virtual void | append (std::ostringstream &out, const LoggingEvent &event)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()

## Static Public Attributes

static const char *const | FORMAT_ISO8601 = "%Y-%m-%d %H:%M:%S,%l"
static const char *const | FORMAT_ABSOLUTE = "%H:%M:%S,%l"
static const char *const | FORMAT_DATE = "%d %b %Y %H:%M:%S,%l"

## Constructor & Destructor Documentation

## TimeStampComponent()

log4shib::TimeStampComponent::TimeStampComponent | ( | std::string | timeFormat | ) |

inline

## Member Function Documentation

## append()

virtual void log4shib::TimeStampComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event )

inline virtual

Implements log4shib::PatternLayout::PatternComponent.

## Member Data Documentation

## FORMAT_ABSOLUTE

const char *const log4shib::TimeStampComponent::FORMAT_ABSOLUTE = "%H:%M:%S,%l"

static

## FORMAT_DATE

const char *const log4shib::TimeStampComponent::FORMAT_DATE = "%d %b %Y %H:%M:%S,%l"

static

## FORMAT_ISO8601

const char *const log4shib::TimeStampComponent::FORMAT_ISO8601 = "%Y-%m-%d %H:%M:%S,%l"

static

The documentation for this struct was generated from the following file:

- PatternLayout.cpp